# frozen_string_literal: true
module Hyrax
  class ClearS3BucketJob < ApplicationJob
    def perform(crc_dataset_id)
      s3 = S3StorageService.new
      s3.init_client
      bucket_name = s3.sanitise_name(crc_dataset_id)
      s3.delete_all_objects(bucket_name) if s3.bucket_exists?(bucket_name)
    end
  end
end