# frozen_string_literal: true
namespace :rdms do
  desc "Fix metadata in S3 for all works. usage: rdms:fix_metadata_in_s3"
  task fix_metadata_in_s3: :environment do
    puts "Fixing Dataset"
    all_works = %w(Dataset CrcDataset ComplexSubjecr ComplexSession ComplexModality)
    all_works.each do |work_type|
      work_type.constantize.all.each do |w|
        begin
          w.save
        rescue
          puts "Error saving #{w.id}"
        end
      end
    end
  end
end