require 'rails_helper'

RSpec.describe CrcResourceTypeService do
  let(:service) { described_class.new }

  describe "#select_active_options" do
    it "returns active terms" do
      expect(service.select_active_options).to include(
        ["Analysed", "Analysed"],
        ["Measured", "Measured"])
    end
  end

  describe "find_by_id" do
    it "returns active term matching id" do
      expect(service.find_by_id('Analysed')).to eq({
        "label" => "Analysed",
        "id" => "Analysed",
        "active" => true
      })
    end
  end

  describe "find_by_label" do
    it "returns active term  matching label" do
      expect(service.find_by_label('Measured')).to eq({
        "label" => "Measured",
        "id" => "Measured",
        "active" => true
      })
    end
  end

  describe "find_by_id_or_label" do
    it "returns active term matching id or label" do
      expect(service.find_by_id_or_label('Simulated')).to eq({
        "label" => "Simulated",
        "id" => "Simulated",
        "active" => true
      })
      expect(service.find_by_id_or_label('Analysed')).to eq({
        "label" => "Analysed",
        "id" => "Analysed",
        "active" => true
      })
    end
  end
end
